| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::_data::impl

## Synopsis

    // In header: <boost/proto/transform/arg.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :
        mpl::if_c<
          proto::is_env<Data>::value,
          proto::_env_var<proto::data_type>,
          proto::_env
        >::type::template impl<Expr, State, Data>
    {
    };